#ifndef __MIME_P_H__
#define __MIME_P_H__ 1

typedef struct Mime_ {
    const char *ext;
    const char *type;
} Mime;

const Mime mime_table[] = {
    { ".txt", "text/plain" },
    { ".html", "text/html" },
    { ".jpg", "image/jpeg" },
    { ".jpeg", "image/jpeg" },
    { ".png", "image/png" },
    { ".gif", "image/gif" },
    { NULL, NULL }
};

#endif
